# Class CaptionerKeySet

java.lang.Object
uk.ac.starlink.ttools.plot2.config.CaptionerKeySet

All Implemented Interfaces:
  `KeySet<Captioner>`

public class CaptionerKeySet extends Object implements KeySet<Captioner>
ConfigKeySet for specifying a captioner. Font size, type, weight are configurable as well as plain/latex rendering.

Since:
  6 Mar 2014
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`PREFER_PHYSICAL_FONT`
True to use Lucida fonts, false to use logical fonts.

## Constructor Summary

Constructors
Constructor
Description
`CaptionerKeySet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Captioner`
`createValue(ConfigMap config)`
Creates a typed value based on the values in a map corresponding to this object's keys.
`ConfigKey<?>[]`
`getKeys()`
The config keys used to specify an object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PREFER_PHYSICAL_FONT

public static boolean PREFER_PHYSICAL_FONT
True to use Lucida fonts, false to use logical fonts.

## Constructor Details

### CaptionerKeySet

public CaptionerKeySet()
Constructor.

## Method Details

### getKeys

public ConfigKey<?>[] getKeys()
Description copied from interface: `KeySet`
The config keys used to specify an object.

Specified by:
  `getKeys` in interface `KeySet<Captioner>`
Returns:
  fixed list of config keys

### createValue

public Captioner createValue(ConfigMap config)
Description copied from interface: `KeySet`
Creates a typed value based on the values in a map corresponding to this object's keys.

Specified by:
  `createValue` in interface `KeySet<Captioner>`
Parameters:
  `config` - map for which the values corresponding to `getKeys` will be examined
Returns:
  specified typed value